Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.therlink.util
Enum TherlinkConfigKeys

    java.lang.Object
      java.lang.Enum<TherlinkConfigKeys>
          be.ehealth.businessconnector.therlink.util.TherlinkConfigKeys

All Implemented Interfaces:
  Serializable, Comparable<TherlinkConfigKeys>

    public enum TherlinkConfigKeys

extends Enum<TherlinkConfigKeys>

contains the configuration keys for therlink.

Enum Constant Summary
`THERLINK_CAREPROVIDER_HCPARTY` careprovider property

Method Summary
`String` | `getKey()`
`String` | `toString()`
`static TherlinkConfigKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TherlinkConfigKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### THERLINK_CAREPROVIDER_HCPARTY

    public static final TherlinkConfigKeys THERLINK_CAREPROVIDER_HCPARTY

  careprovider property

Method Detail

### values

    public static TherlinkConfigKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TherlinkConfigKeys c : TherlinkConfigKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TherlinkConfigKeys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getKey

    public String getKey()

  Returns:
    the key

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TherlinkConfigKeys>`
  See Also:
    `Enum.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.